/*
Theme Name:     Boilerplate Child
Theme URI:      http://craigcolorusso.com/
Description:    Child theme for the Boilerplate Theme
Author:         Jordyn Bonds
Author URI:     http://skybondsor.com/
Template:       boilerplate
Version:        0.1.0
*/

* { box-sizing: border-box; }
body { font-family: "Gill Sans", "Calibri", "Trebuchet MS", sans-serif; line-height: 1.6em; background: #ededed; color: #333; text-align: center; }
h1, h2, h3 { margin: 1em 0; font-weight: normal; text-shadow: 1px 1px 3px #fff; }
header h1 { margin: .1em 0; font-size: 4.6em; line-height: .8em; color: #000; text-indent: -1em; margin-left: 1em; }
header h1 a { text-decoration: none; }
h1.entry-title { font-size: 3em; color: #000; }
h2 { font-size: 2em; margin-bottom: 0; color: #000; }
h2 a { text-decoration: none; }
strong { float: left; font-weight: normal; color: #000; text-transform: uppercase; }
section img { max-width: 100%; height: auto; }
a { color: #000; }
a:hover { color: #BE2146; }
nav * { display: inline-block; vertical-align: middle; }
	.menu-header { display: block; margin-bottom: 1em; }
nav a { background: #333; color: #fff; padding: .1em .5em; text-decoration: none; }
nav a:hover { color: #fff; background: #BE2146; }
.entry-content p { font-size: 17px; }
#access ul { margin: 0; padding: 0; }
#access ul:before { display: block; text-align: left; font-size: 17px; }
#access a[href] { width: 46px; height: 0; margin: 2px; padding-top: 46px; overflow: hidden; border-radius: 2px; }

#menu-works:before { content: 'Works '; }
	#access a[href="/works/cubemusic"]   { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2016/06/nav-icon-cubemusic.png'); }
	#access a[href="/works/mb89"]        { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2016/06/nav-icon-mb89.png'); }
	#access a[href="/works/moon-phases"] { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2016/06/nav-icon-moonphases.png'); background-size: cover; }
	#access a[href="/works/pi"]          { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2018/03/pi-icon.jpg'); background-size: cover; }
	#access a[href="/works/sunboxes"]    { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2016/06/nav-icon-sunboxes.png'); }
	#access a[href="/works/swings"]      { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2018/03/Swings-Icon.png'); background-size: cover; background-position: center center; }
	#access a[href="/works/tagmusik"]    { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2016/06/nav-icon-tagmusik.png'); }

#menu-sounds:before { content: 'Sounds '; }
	#access a[href*="bandcamp"]          { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Bandcamp.png'); }
	#access a[href*="youtube"]           { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/YouTube.png'); }
	#access a[href*="spotify"]           { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Spotify.png'); }
	#access a[href*="apple"]             { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/iTunes.png'); }
	#access a[href*="google"]            { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2020/03/Google-Music.png'); }
	#access a[href*="amazon"]            { background-image: url('http://www.craigcolorusso.com/wp-content/uploads/2020/04/Amazon-Music-1.png'); }

#menu-contact:before { content: 'Contact '; }
	#access a[href*="mailto"]            { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Email.png'); }
	#access a[href*="twitter"]           { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Twitter.png'); }
	#access a[href*="facebook"]          { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Facebook.png'); }
	#access a[href*="instagram"]         { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Instagram.png'); }

#menu-support:before { content: 'Support '; }
	#access a[href*="paypal"]            { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Paypal.png'); }
	#access a[href*="venmo"]             { background-image: url('https://www.craigcolorusso.com/wp-content/uploads/2020/03/Venmo.png'); }

header { position: absolute; width: 36%; padding: 40px; text-align: left; }
section { margin: 0 auto; margin-left: 36%; width: 50%; padding: 20px; text-align: left; }
article { margin: 0 0 20px 0; padding: 0 0 20px 0; border-bottom: 1em solid #333; }
article .entry-meta, article .entry-utility { padding-bottom: 2em; }
footer, #skip, #nav-above, .xoxo { display: none; }
/*#access { display: block; position: absolute; top: 20em; width: 35%; }*/

@media only screen and (min-height: 800px) { header { position: fixed; } }